﻿local MAJOR_VERSION = "Threat-2.0"
local MINOR_VERSION = tonumber(("$Revision: 61670 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then _G.ThreatLib_MINOR_VERSION = MINOR_VERSION end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()
	local ThreatLib = _G.ThreatLib

	local VOID_REAVER_ID = 19516
	local KNOCK_AWAY_ID = 
	ThreatLib:GetModule("NPCCore"):RegisterModule(VOID_REAVER_ID, function(VoidReaver)
		function VoidReaver:Init()
			self:RegisterSpellHandler(
				-- Register all known knock away IDs. We'll pare it down when we have better data, but for now, we'll just use them all.
				21737, 40434, 37102, 32959, 31389, 25778, 23382, 19633, 18945, 18813, 18670, 10101,
				function(mob, target) self:ModifyThreat(mob, target, 0.75, 0) end
			)
			self:RegisterCombatant(VOID_REAVER_ID, true)
		end
	end)
end
 